5.03 GEN B

Discussion in 'PSP - Games & Content' started by prowler, Oct 26, 2009.

  1. prowler
    OP

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Its out on Halloween (31st)
    Will it be buggy? Likely.
     


  2. Taik

    Taik GBAtemp Advanced Fan

    Member
    555
    9
    Jul 13, 2008
    France
    Yay ^^

    Though it might not be buggy if they take the time to debug it normally, I never experienced a single problem with a GEN firmware, I don't see where does all this hate comes from...
     
  3. rithsv

    rithsv Member

    Newcomer
    47
    0
    Oct 24, 2009
    Perth
    One of the last first firmwares they released (I think it was 5.50 GEN C or something) was really bad.. a lot of people got theirs bricked. It led to an apology from the GEN team.
     
  4. prowler
    OP

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    I don't hate GEN, GEN made it possible for us to play 5.55+ games. It's just they seem to rush there CFW, and leave a ton of bugs on them. They fix them up though
     
  5. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Of course if they cock this particular one up enough to cause bricks that's it....finito and lots of unhappy people.
     
  6. Evilmaster1985

    Evilmaster1985 GBAtemp Fan

    Member
    456
    0
    Nov 23, 2008
    United States
    Middle of nowhere
    I do not see that happen really.

    If there was a chance of bricking a lot of PSP`s it would have been with 5.03 GEN-A.
    As that was the real proto type of their CFW enabler.
    As it did not happen back when I see very small chances that they make a major fuckup.

    Also Iam tired of people who complain about bugs in the GEN firmwares.

    First of all if they did not make you guys CFW you would be stuck on 5.00 and play nothing new.
    Seccond people nag about bugs but I bet 90% of the whiners could not even spot them or would not even run into them.
    And final be happy that they make updates for the broken stuff as I said before if they did not do so all you are left with is: broken stuff.

    Iam not a GEN fanboy or whatever Iam just trying to understand why there is so much hate out there for GEN. All they did so far was provide the pirates with what they needed.

    Greetz, Vistabuser.
     
  7. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Where are you coming from? GEN C caused numerous issues, including some bricks, and that is essentially what they're doing here. If 5.03 GEN B causes a brick there's no way back. If you're not a little nervous using something like this on a non recoverable PSP i'd say that there was something a little wrong with you (or you have a callous disrespect for your PSP or are just K-K-Kerazy!)
     
  8. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    I use GEN and I don't know why people argue about M33 and GEN...But PSPGEN cocked the GEN-C firmware up...They had to remove it from their website because it was bricking peoples PSP's, and GEN-D was made because of this, which also had a few bugs, but they were ironed out in GEN-D2.

    But if they make this firmware brick peoples PSP's, then that would be nasty.
     
  9. FencingFoxFTW

    FencingFoxFTW GBAtemp Fan

    Member
    404
    21
    Apr 27, 2008
    better play safe and wait for the reports first
     
  10. djricekcn

    djricekcn GBAtemp Advanced Fan

    Member
    939
    36
    May 29, 2009
    United States
    I'm not really up to date with 3000 series, but you still need 5.03 OFW or lower to install CFW, correct? If anything above, you're out of luck? Friend was asking
     
  11. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    That's Correct.
     
  12. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    Yeah, and Pandora's batteries don't work either or anything, as with any TA-088v3 board.
     
  13. Skyline969

    Skyline969 MENUdo Afficionado

    Member
    2,206
    8
    Nov 18, 2008
    Canada
    Saskatchewan
    And then they released GEN-D, and GEN-D2, which are amazing and don't brick whatsoever.
     
  14. Pendor

    Pendor GBAtemp Advanced Fan

    Member
    567
    3
    May 11, 2008
    United States
    Chickhen r2 only works on 5.03. Anything higher or lower than that won't work.
     
  15. Skyline969

    Skyline969 MENUdo Afficionado

    Member
    2,206
    8
    Nov 18, 2008
    Canada
    Saskatchewan
    Anything higher won't work, but you can update to 5.03 if you have a firmware lower than it. Just get the update files from PSPSlimHacks or something.
     
  16. Pendor

    Pendor GBAtemp Advanced Fan

    Member
    567
    3
    May 11, 2008
    United States
    I don't think an explanation was necessary. [​IMG]

    If someone can't figure that out, then it shouldn't be doing things like these.
     
  17. ChrisMims

    ChrisMims Banned

    Banned
    206
    0
    Mar 14, 2009
    United States
    Can this be installed on a PSP 3000 with a firmware version of 5.03 and up?
     
  18. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    No, 5.03 only.
     
  19. ChrisMims

    ChrisMims Banned

    Banned
    206
    0
    Mar 14, 2009
    United States
    What about lower than 5.03? If not, is there any way to upgrade only to 5.03?
     
  20. War

    War Take it easy~

    Member
    5,409
    8
    Oct 26, 2007
    California
    Wait, GEN firmware didn't support PSX games before?